# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

MY_P="${P/canna-/}"

DESCRIPTION="Japanese Zipcode dictionary for Canna"
HOMEPAGE="http://bonobo.gnome.gr.jp/~nakai/canna/"
SRC_URI="http://bonobo.gnome.gr.jp/~nakai/canna/${MY_P}.tar.bz2"
LICENSE="GPL-2 public-domain"
SLOT="0"
KEYWORDS="x86 ~ppc sparc ~alpha"
IUSE=""
DEPEND=">=canna-3.6_p3-r2 nkf lha"
RDEPEND=">=canna-3.6_p3-r2"
S="${WORKDIR}/${MY_P}"

src_compile() {
	rm -f zipcode.t jigyosyo.t || die
	make download all || die
	mkbindic zipcode.t ; mkbindic jigyosyo.t
}

src_install() {
	dodir /var/lib/canna/dic/canna/
	install -o bin -g bin -m 0664 zipcode.c[bl]d jigyosyo.c[bl]d \
		${D}/var/lib/canna/dic/canna/
	insinto /usr/share/canna/dics.dir.d/ ;\
		doins ${FILESDIR}/10zipcode.dics.dir
	dodoc COPYING README.jp
}

pkg_postinst() {
	einfo "Regenerating dics.dir file..."
	/usr/sbin/update-canna-dics_dir || die "Regenerating failed."
}

pkg_postrm() {
	einfo "Regenerating dics.dir file..."
	/usr/sbin/update-canna-dics_dir || die "Regenerating failed."
}
